Bug 1034650 - Increase the default value of the com.arjuna.ats.jta.orphanSafetyInterval
Summary: Increase the default value of the com.arjuna.ats.jta.orphanSafetyInterval
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Transaction Manager
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: EAP 6.3.0
Assignee: tom.jenkinson
QA Contact: Ondrej Chaloupka
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-26 09:42 UTC by Ondrej Chaloupka
Modified: 2017-10-10 00:20 UTC (History)
2 users (show)

(edit)
An issue in previous versions of JBoss EAP that could cause numerous rollback XAExceptions to be logged if a transaction's processing time overlaped with the timing of the periodic recovery process's activity has been corrected in this release of the product. The timeout interval of `orphanSafetyInterval` has been increased to 20 seconds which significantly decreases the potential of encountering the exceptions.
Clone Of:
(edit)
Last Closed: 2014-08-06 14:34:25 UTC


Attachments (Terms of Use)

Description Ondrej Chaloupka 2013-11-26 09:42:23 UTC
As it's described under bugzilla
https://bugzilla.redhat.com/show_bug.cgi?id=1009981

server log could be filled with rollback XAExceptions when the system is under heavy load. Then there can interleave transaction manager thread and periodic recovery thread.

We agreed that the possibility of getting such exceptions will be decreased by changing (increasing) the default value of the timeout of orphanSafetyInterval. 
The default value for 6.2.0 is 10 seconds. I would like ask to set it to 25 seconds.

Comment 1 tom.jenkinson 2014-03-13 07:39:43 UTC
This went into 4.17.17

Comment 2 Ondrej Chaloupka 2014-05-05 09:23:34 UTC
This was fixed for 6.2.0 release and the default timeout was set to 20 seconds.

There is one more bugzilla opened for 6.3.0 release here:
https://bugzilla.redhat.com/show_bug.cgi?id=1090762

Comment 3 Scott Mumford 2014-06-03 23:42:34 UTC
Drafted release note content and marked for inclusion in 6.3.0 Release Notes.


Note You need to log in before you can comment on or make changes to this bug.